# $tr Translates an english string to the current language
Syntax
    $tr(<default_language_string>[,<catalogue>])
Description
This function searches for the translation of <default_language_string> in the specified translation <catalogue> or in the main KVIrc translation file if <catalogue> is omitted (or not found). If no translation is found then <english_string> is returned. <default_language_string> is a string in your script default language (which should probably be english since it is the most common language spoken by the translators...). You can load a translation catalogue by the means of the trload command. For more informations see the documentation about script localization.
Examples
trload myscript echo $tr("Hello World!")
See also
trload, trunload

Index, Functions

KVIrc 3.2.0 Documentation
Generated by root at Tue Dec 4 07:16:18 2007